Get PAT status for ghcr.io
curl --request GET \
--url https://api-eu.cybedefend.com/integrations/github-container-registry/organization/{organizationId}/pat/statusimport requests
url = "https://api-eu.cybedefend.com/integrations/github-container-registry/organization/{organizationId}/pat/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/integrations/github-container-registry/organization/{organizationId}/pat/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasPat": true,
"status": {
"valid": true,
"scopes": [
"read:packages",
"repo"
],
"hasPackagesReadScope": true,
"githubUsername": "my-github-user",
"expiresAt": "2025-12-31T23:59:59Z",
"validatedAt": "2025-01-16T12:00:00Z",
"errorMessage": "Token expired"
}
}GitHub (GHCR)
Get PAT status for ghcr.io
Checks if a Personal Access Token is stored and validates it. Returns information about the token without exposing the actual token value.
GET
/
integrations
/
github-container-registry
/
organization
/
{organizationId}
/
pat
/
status
Get PAT status for ghcr.io
Path Parameters
CybeDefend organization ID
Example:
"550e8400-e29b-41d4-a716-446655440000"
⌘I